package com.tencent.mm.plugin.voip.model.a;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ai.b.a;
import com.tencent.mm.ai.f;
import com.tencent.mm.protocal.protobuf.SKBuiltinBuffer_t;
import com.tencent.mm.protocal.protobuf.cpj;
import com.tencent.mm.protocal.protobuf.cpk;
import com.tencent.mm.sdk.platformtools.ab;

public final class d extends n<cpj, cpk> {
    public d(int i, long j, int i2, int i3, int i4, int i5, int i6, byte[] bArr, int i7) {
        AppMethodBeat.i(4706);
        a aVar = new a();
        aVar.fsJ = new cpj();
        aVar.fsK = new cpk();
        aVar.uri = "/cgi-bin/micromsg-bin/voipDoubleLinkSwitch";
        aVar.fsI = 249;
        aVar.fsL = 249;
        aVar.fsM = 1000000249;
        this.ehh = aVar.acD();
        cpj cpj = (cpj) this.ehh.fsG.fsP;
        cpj.wem = i;
        cpj.wen = j;
        cpj.wPb = i2;
        cpj.xmN = i3;
        cpj.xmO = i4;
        cpj.xmP = i5;
        cpj.xmQ = i6;
        cpj.xmR = 1;
        cpj.vJd = new SKBuiltinBuffer_t().setBuffer(bArr, 0, i7);
        AppMethodBeat.o(4706);
    }

    public final int getType() {
        return 249;
    }

    public final void fW(int i, int i2) {
        AppMethodBeat.i(4707);
        if (i == 0 && i2 == 0) {
            if (((cpk) cKx()) != null) {
                ab.i("MicroMsg.Voip.DoubleLinkSwitch", "roomId:%d, roomKey:%s, member:%d", new Object[]{Integer.valueOf(((cpk) cKx()).wem), Long.valueOf(((cpk) cKx()).wen), Integer.valueOf(((cpk) cKx()).wPb)});
            }
            AppMethodBeat.o(4707);
            return;
        }
        ab.i("MicroMsg.Voip.DoubleLinkSwitch", "double link switch error");
        AppMethodBeat.o(4707);
    }

    public final f cKt() {
        AppMethodBeat.i(4708);
        1 1 = new 1(this);
        AppMethodBeat.o(4708);
        return 1;
    }
}
